@echo off
setlocal
set LANG=en_US.UTF-8
set dir=%~dp0
set dir=%dir:\=/%
set GUILE_AUTO_COMPILE=0
set GUILE_LOAD_PATH=%GUILE_LOAD_PATH%;%dir%/gnu/share/guile/site/2.2;%dir%/share/guile/2.2
set GUILE_LOAD_COMPILED_PATH=%GUILE_LOAD_COMPILED_PATH%;%dir%/gnu/lib/guile/2.2/site-ccache;%dir%/gnu/lib/guile/2.2/ccache
set GUIX_LOCPATH=%dir%/gnu/lib/locale
set HOME=%USERPROFILE%
set PATH=%dir%;%dir%/gnu/bin;%dir%/gnu/lib;%PATH%
guile.exe %*
